%global fontname        nafees-pakistani-naskh
%global fontconf        67-%{fontname}.conf
%global archivename     Nafees_Pakistani_Naskh_v2.01

Name:           %{fontname}-fonts
Version:        2.01
Release:        2%{?dist}
Summary:        Nafees pakistani naskh font for writing Urdu in the Naskh script

Group:          User Interface/X
License:        Bitstream Vera
URL:            http://www.crulp.org/index.htm

Source0:        http://www.crulp.org/Downloads/localization/fonts/NafeesPakistaniNaskh/%{archivename}.zip

Source1:        %{fontname}-update-preferred-family.pe
Source2:        %{fontconf}

BuildArch:      noarch
Requires:       fontpackages-filesystem
BuildRequires:  fontpackages-devel
BuildRequires:  fontforge

%description

The Nafees Pakistani Naskh Font is the extension of Nafees Naskh.\
Nafees Pakistani Naskh Font for writing Urdu, Balochi, Pashto, Punjabi, \
Sindhi and Saraiki in Naskh script.


%prep
%setup -q -c

%build
# Fix RHBZ#490830 while not fixed upstream
%{_bindir}/fontforge %{SOURCE1} Nafees\ Pakistani\ Naskh\ v2.01.ttf
rm  Nafees\ Pakistani\ Naskh\ v2.01.ttf

%install

#fonts
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE2} \
                %{buildroot}%{_fontconfig_templatedir}/%{fontconf}

ln -s %{_fontconfig_templatedir}/%{fontconf} \
        %{buildroot}%{_fontconfig_confdir}/%{fontconf}

%_font_pkg -f %{fontconf} *.ttf

%doc  Nafees\ Pakistani\ Naskh\ v2.01.pdf


%changelog
* Wed Aug 23 2011 Pravin Satpute <psatpute@redhat.com> 2.01-2
- Updated as per review comments

* Wed Aug 10 2011 Pravin Satpute <psatpute@redhat.com> 2.01-1
- Initial packaging
